import { styled } from '@mui/material/styles';
import MuiStepConnector from '@mui/material/StepConnector';

var StepConnector = styled(MuiStepConnector)(function (_a) {
    var theme = _a.theme;
    return ({
        "&.MuiStepConnector-vertical": {
            height: "35px",
            marginTop: theme.spacing(-1),
            marginBottom: theme.spacing(-1)
        },
        "&.Mui-active, &.Mui-completed": {
            "& .MuiStepConnector-line": {
                borderColor: theme.palette.primary.main + " !important"
            }
        },
        "& .MuiStepConnector-line": {
            borderColor: theme.palette.gray[300],
            borderLeftWidth: 3
        },
        "& .MuiStepConnector-lineVertical": {
            borderLeftWidth: 3,
            position: "relative",
            height: "100%",
            margin: theme.spacing(0, 0, 0, 1.5)
        }
    });
});

export { StepConnector as default };
